body { font-family: sans-serif; }

.scene {
  display: inline-block;
  width: 250px;
  height: 150px;
  margin: 10px 5px 5px 5px;
  perspective: 900px;
}

.card {
  position: relative;
  width: 100%;
  height: 100%;
  cursor: pointer;
  transform-style: preserve-3d;
  transform-origin: center right;
  transition: transform 0.75s;

}

.card.is-flipped {
  transform: translateX(-100%) rotateY(-180deg);
}

.card__face {
  position: absolute;border-radius: 10px;box-shadow: 3px 3px #ff0000;
  width: 100%;
  height: 100%;
  line-height: 160px;
  color: white;
  text-align: center;
  font-weight: bold;
  font-size: 30px;
  backface-visibility: hidden;
}

.card__face-x {
  position: absolute;border-radius: 10px;box-shadow: 3px 3px #ff9900;
  width: 100%;
  height: 100%;
  line-height: 160px;
  color: white;
  text-align: center;
  font-weight: bold;
  font-size: 30px;
  backface-visibility: hidden;
}

.card__facexs {
  position: absolute;border-radius: 10px;box-shadow: 3px 3px #ff9900;
  width: 100%;
  height: 100%;
  line-height: 35px;
  color: white;
  text-align: center;
  font-weight: bold;
  font-size: 26px;
  backface-visibility: hidden;
  
}

.card__face-xs {
  position: absolute;border-radius: 10px;box-shadow: 3px 3px #ff9900;
  width: 100%;
  height: 100%;
  line-height: 150px;
  color: white;
  text-align: center;
  font-weight: bold;
  font-size: 20px;
  backface-visibility: hidden;
}

.card__face-xs2 {
  position: absolute;border-radius: 10px;box-shadow: 3px 3px #ff9900;
  width: 100%;
  height: 100%;
  line-height: 150px;
  color: white;
  text-align: center;
  font-weight: bold;
  font-size: 25px;
  backface-visibility: hidden;
}

.card__face-xs3 {
  position: absolute;border-radius: 10px;box-shadow: 3px 3px #ff9900;
  width: 100%;
  height: 100%;
  line-height: 35px;
  color: white;
  text-align: center;
  font-weight: bold;
  font-size: 26px;
  backface-visibility: hidden;
  
}

.card__face--front {
  background: #000000;
}

.card__face--back {
  background: #ff9900;
  transform: rotateY(180deg);
}


.card__face--front-x {
  background: #0099cc;
}

.card__face--back-x {
  background: #007acc;
  transform: rotateY(180deg);
}

.card__face__blank {
  position: absolute;border-radius: 10px;
  width: 100%;
  height: 100%;
  line-height: 160px;
  color: white;
  text-align: center;
  font-weight: bold;
  font-size: 30px;
  backface-visibility: hidden;
}

.card__face--fblank {
  background: #ffffff;
}

.card__face--bblank {
  background: #ffffff;
}

.quiz-container {
    box-sizing: border-box;
    width: 100%;
    max-width: 990px;
    margin: auto auto;
    padding: 1em;
    background-color: #003d66;
    border-radius: 20px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    font-size: 23px;
  }

.qlist-container {
    box-sizing: border-box;
    width: 100%;
    max-width: 990px;
    margin: auto auto;
    padding-left: 35px;
    background-color: #003d66;
    border-radius: 20px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    font-size: 14px;
    text-align: left;
  }

.score-container {
    box-sizing: border-box;
    width: 90%;
    max-width: 900px;
    margin: auto auto;
    padding: 1px;
    background-color: #3498db;
    border-radius: 50px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    font-size: 34px;
    text-align: center;
    
  }

.navig-container {
    box-sizing: border-box;
    width: 35%;
    max-width: 900px;
    margin: auto auto;
    padding: 1px;
    background-color: #ffffff;
    border-radius: 50px;
    rgba(0, 0, 0, 0.1);
    font-size: 18px;
    font-color: #3498db;
    text-align: center;
  }

  .choices {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    text-align: center;
  }
  
  .choice {
    font-size: 25px;
    display: block;
    margin: 5px 5px;
    padding: .5em .75em;
    background-color: #3498db;
    color: #ffffff;
    border: none;
    border-radius: 5px;
    cursor: pointer;
  }

.choicesmalltext {
    font-size: 20px;
    display: block;
    margin: 5px 5px;
    padding: .5em .75em;
    background-color: #3498db;
    color: #ffffff;
    border: none;
    border-radius: 5px;
    cursor: pointer;
  }

.feedback {
    font-size: 25px;
    display: block;
    margin: 5px 5px;
    padding: .5em .75em;
    background-color: #003d66;
    color: #66c2ff;
    border: none;
    border-radius: 5px;
    cursor: pointer;
  }
  
  .choice:hover {
    background-color: #2980b9;
  }

.menubutton {
  background-color: #ffffff;
  border: none;
  color: #000000;
  padding: 6px 6px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 16px;
  margin: 4px 2px;
  cursor: pointer;
  transition-duration: 0.4s;
  box-shadow: 0 8px 16px 0 rgba(0,0,0,0.6);
  border: 2px solid red;
  border-radius: 50px 20px;
}

.menubutton1 {
  background-color: #000000;
  border: none;
  color: #ffffff;
  padding: 9px 9px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 16px;
  margin: 4px 2px;
  cursor: pointer;
  transition-duration: 0.4s;
  box-shadow: 0 8px 16px 0 rgba(0,0,0,0.6);
  border: 2px solid #ff9900;
  border-radius: 50px 20px;
}

.menubutton2 {
  background-color: #27023c;
  border: none;
  color: #ffffff;
  padding: 9px 9px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 16px;
  margin: 4px 2px;
  cursor: pointer;
  transition-duration: 0.4s;
  box-shadow: 0 8px 16px 0 rgba(0,0,0,0.6);
  border: 2px solid #ff9900;
  border-radius: 50px 20px;
}

.menubutton3 {
  background-color: #04284f;
  border: none;
  color: #ffffff;
  padding: 9px 9px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 16px;
  margin: 4px 2px;
  cursor: pointer;
  transition-duration: 0.4s;
  box-shadow: 0 8px 16px 0 rgba(0,0,0,0.6);
  border: 2px solid #ff9900;
  border-radius: 50px 20px;
}

.menubutton4 {
  background-color: #273a04;
  border: none;
  color: #ffffff;
  padding: 9px 9px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 16px;
  margin: 4px 2px;
  cursor: pointer;
  transition-duration: 0.4s;
  box-shadow: 0 8px 16px 0 rgba(0,0,0,0.6);
  border: 2px solid #ff9900;
  border-radius: 50px 20px;
}





.closebutton {
  background-color: #000000;
  border: none;
  color: #ffffff;
  padding: 6px 6px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 16px;
  margin: 4px 2px;
  cursor: pointer;
  transition-duration: 0.4s;
  box-shadow: 0 8px 16px 0 rgba(0,0,0,0.6);
  border: 2px solid red;
  border-radius: 50px 20px;
}



